<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>faceAveraging &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>faceAveraging
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">25 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/interpolation.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/interpolation.f03.html'>interpolation.f03</a></li>
    
     <li><a href='../module/interpolation.html'>interpolation</a></li>
    
  
     <li class="active">faceAveraging</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function faceAveraging(field) result(avg)
    
    
   
</h2>
    
  


    
    <p>faceAveraging returns the cell face averaged</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E86"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-avg"></span>real
  (numberOfElements,field%nComp)</small></h3>
    <p>cell center averaged field</p>
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~faceaveraging~~CallsGraph Pages: 1 -->
<svg id="procfaceaveragingCallsGraph" width="469pt" height="200pt"
 viewBox="0.00 0.00 469.00 200.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~faceaveraging~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 196)">
<title>proc~~faceaveraging~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 465,-196 465,4 -4,4"/>
<!-- proc~faceaveraging -->
<g id="proc~~faceaveraging~~CallsGraph_node1" class="node">
<title>proc~faceaveraging</title>
<polygon fill="none" stroke="#000000" points="81,-108 0,-108 0,-84 81,-84 81,-108"/>
<text text-anchor="middle" x="40.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">faceAveraging</text>
</g>
<!-- proc~interpolate -->
<g id="proc~~faceaveraging~~CallsGraph_node2" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~faceaveraging~~CallsGraph_node2"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="180,-108 117,-108 117,-84 180,-84 180,-108"/>
<text text-anchor="middle" x="148.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~faceaveraging&#45;&gt;proc~interpolate -->
<g id="proc~~faceaveraging~~CallsGraph_edge1" class="edge">
<title>proc~faceaveraging&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M81.0225,-96C89.4479,-96 98.341,-96 106.8077,-96"/>
<polygon fill="#000000" stroke="#000000" points="106.8637,-99.5001 116.8637,-96 106.8636,-92.5001 106.8637,-99.5001"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~faceaveraging~~CallsGraph_node3" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="349,-192 234,-192 234,-168 349,-168 349,-192"/>
<text text-anchor="middle" x="291.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~faceaveraging~~CallsGraph_edge2" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M158.1878,-108.0396C170.2646,-122.2625 192.2317,-145.6704 216,-159 219.4394,-160.9289 223.0679,-162.6902 226.7984,-164.2971"/>
<polygon fill="#000000" stroke="#000000" points="225.6442,-167.6038 236.2323,-167.9811 228.1905,-161.0833 225.6442,-167.6038"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~faceaveraging~~CallsGraph_node4" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="361,-150 222,-150 222,-126 361,-126 361,-150"/>
<text text-anchor="middle" x="291.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~faceaveraging~~CallsGraph_edge3" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M180.0326,-106.0273C191.3524,-109.5694 204.2273,-113.5323 216,-117 222.9088,-119.035 230.1887,-121.1264 237.3909,-123.1638"/>
<polygon fill="#000000" stroke="#000000" points="236.5477,-126.5623 247.1217,-125.8982 238.4414,-119.8233 236.5477,-126.5623"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~faceaveraging~~CallsGraph_node5" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="334,-108 249,-108 249,-84 334,-84 334,-108"/>
<text text-anchor="middle" x="291.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~faceaveraging~~CallsGraph_edge4" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M180.2363,-96C197.4033,-96 219.0544,-96 238.6848,-96"/>
<polygon fill="#000000" stroke="#000000" points="238.7315,-99.5001 248.7315,-96 238.7315,-92.5001 238.7315,-99.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~faceaveraging~~CallsGraph_node6" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="364,-66 219,-66 219,-42 364,-42 364,-66"/>
<text text-anchor="middle" x="291.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~faceaveraging~~CallsGraph_edge5" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M180.0326,-85.9727C191.3524,-82.4306 204.2273,-78.4677 216,-75 222.9088,-72.965 230.1887,-70.8736 237.3909,-68.8362"/>
<polygon fill="#000000" stroke="#000000" points="238.4414,-72.1767 247.1217,-66.1018 236.5477,-65.4377 238.4414,-72.1767"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~faceaveraging~~CallsGraph_node7" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~faceaveraging~~CallsGraph_node7"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="367,-24 216,-24 216,0 367,0 367,-24"/>
<text text-anchor="middle" x="291.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~faceaveraging~~CallsGraph_edge6" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M158.1878,-83.9604C170.2646,-69.7375 192.2317,-46.3296 216,-33 219.4394,-31.0711 223.0679,-29.3098 226.7984,-27.7029"/>
<polygon fill="#000000" stroke="#000000" points="228.1905,-30.9167 236.2323,-24.0189 225.6442,-24.3962 228.1905,-30.9167"/>
</g>
<!-- flubiostop -->
<g id="proc~~faceaveraging~~CallsGraph_node8" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="461,-24 403,-24 403,0 461,0 461,-24"/>
<text text-anchor="middle" x="432" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~faceaveraging~~CallsGraph_edge7" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M367.0965,-12C375.9482,-12 384.686,-12 392.7435,-12"/>
<polygon fill="#000000" stroke="#000000" points="392.8963,-15.5001 402.8963,-12 392.8963,-8.5001 392.8963,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~faceaveraging~~CalledByGraph Pages: 1 -->
<svg id="procfaceaveragingCalledByGraph" width="511pt" height="158pt"
 viewBox="0.00 0.00 511.00 158.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~faceaveraging~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 154)">
<title>proc~~faceaveraging~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 507,-154 507,4 -4,4"/>
<!-- proc~faceaveraging -->
<g id="proc~~faceaveraging~~CalledByGraph_node1" class="node">
<title>proc~faceaveraging</title>
<polygon fill="none" stroke="#000000" points="503,-87 422,-87 422,-63 503,-63 503,-87"/>
<text text-anchor="middle" x="462.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">faceAveraging</text>
</g>
<!-- proc~boundwithfacevalues -->
<g id="proc~~faceaveraging~~CalledByGraph_node2" class="node">
<title>proc~boundwithfacevalues</title>
<g id="a_proc~~faceaveraging~~CalledByGraph_node2"><a xlink:href=".././proc/boundwithfacevalues.html" xlink:title="boundWithFaceValues">
<polygon fill="#d9534f" stroke="#d9534f" points="386,-87 267,-87 267,-63 386,-63 386,-87"/>
<text text-anchor="middle" x="326.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">boundWithFaceValues</text>
</a>
</g>
</g>
<!-- proc~boundwithfacevalues&#45;&gt;proc~faceaveraging -->
<g id="proc~~faceaveraging~~CalledByGraph_edge1" class="edge">
<title>proc~boundwithfacevalues&#45;&gt;proc~faceaveraging</title>
<path fill="none" stroke="#000000" d="M386.1516,-75C394.5822,-75 403.1866,-75 411.4359,-75"/>
<polygon fill="#000000" stroke="#000000" points="411.6552,-78.5001 421.6552,-75 411.6552,-71.5001 411.6552,-78.5001"/>
</g>
<!-- proc~bound -->
<g id="proc~~faceaveraging~~CalledByGraph_node3" class="node">
<title>proc~bound</title>
<g id="a_proc~~faceaveraging~~CalledByGraph_node3"><a xlink:href=".././proc/bound.html" xlink:title="bound">
<polygon fill="#d9534f" stroke="#d9534f" points="231,-87 177,-87 177,-63 231,-63 231,-87"/>
<text text-anchor="middle" x="204" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">bound</text>
</a>
</g>
</g>
<!-- proc~bound&#45;&gt;proc~boundwithfacevalues -->
<g id="proc~~faceaveraging~~CalledByGraph_edge2" class="edge">
<title>proc~bound&#45;&gt;proc~boundwithfacevalues</title>
<path fill="none" stroke="#000000" d="M231.1867,-75C238.8687,-75 247.5989,-75 256.5831,-75"/>
<polygon fill="#000000" stroke="#000000" points="256.792,-78.5001 266.7919,-75 256.7919,-71.5001 256.792,-78.5001"/>
</g>
<!-- proc~updateeddyviscositysst -->
<g id="proc~~faceaveraging~~CalledByGraph_node4" class="node">
<title>proc~updateeddyviscositysst</title>
<g id="a_proc~~faceaveraging~~CalledByGraph_node4"><a xlink:href=".././proc/updateeddyviscositysst.html" xlink:title="updateEddyViscositySST">
<polygon fill="#d9534f" stroke="#d9534f" points="136,-150 5,-150 5,-126 136,-126 136,-150"/>
<text text-anchor="middle" x="70.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">updateEddyViscositySST</text>
</a>
</g>
</g>
<!-- proc~updateeddyviscositysst&#45;&gt;proc~bound -->
<g id="proc~~faceaveraging~~CalledByGraph_edge3" class="edge">
<title>proc~updateeddyviscositysst&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M118.2481,-125.8937C126.0007,-123.3298 133.8319,-120.3637 141,-117 154.8451,-110.5031 169.118,-101.2367 180.5702,-93.06"/>
<polygon fill="#000000" stroke="#000000" points="182.7277,-95.8182 188.7242,-87.0836 178.5896,-90.1723 182.7277,-95.8182"/>
</g>
<!-- proc~updateeddyviscositywilcox -->
<g id="proc~~faceaveraging~~CalledByGraph_node5" class="node">
<title>proc~updateeddyviscositywilcox</title>
<g id="a_proc~~faceaveraging~~CalledByGraph_node5"><a xlink:href=".././proc/updateeddyviscositywilcox.html" xlink:title="updateEddyViscosityWilcox">
<polygon fill="#d9534f" stroke="#d9534f" points="141,-108 0,-108 0,-84 141,-84 141,-108"/>
<text text-anchor="middle" x="70.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">updateEddyViscosityWilcox</text>
</a>
</g>
</g>
<!-- proc~updateeddyviscositywilcox&#45;&gt;proc~bound -->
<g id="proc~~faceaveraging~~CalledByGraph_edge4" class="edge">
<title>proc~updateeddyviscositywilcox&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M141.1591,-84.8851C150.0306,-83.4896 158.8096,-82.1086 166.8665,-80.8412"/>
<polygon fill="#000000" stroke="#000000" points="167.6547,-84.2604 176.9893,-79.2489 166.5669,-77.3454 167.6547,-84.2604"/>
</g>
<!-- proc~kappaomega -->
<g id="proc~~faceaveraging~~CalledByGraph_node6" class="node">
<title>proc~kappaomega</title>
<g id="a_proc~~faceaveraging~~CalledByGraph_node6"><a xlink:href=".././proc/kappaomega.html" xlink:title="kappaOmega">
<polygon fill="#d9534f" stroke="#d9534f" points="109,-66 32,-66 32,-42 109,-42 109,-66"/>
<text text-anchor="middle" x="70.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kappaOmega</text>
</a>
</g>
</g>
<!-- proc~kappaomega&#45;&gt;proc~bound -->
<g id="proc~~faceaveraging~~CalledByGraph_edge5" class="edge">
<title>proc~kappaomega&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M109.1137,-60.0741C127.2669,-62.9296 148.8185,-66.3198 166.7909,-69.1469"/>
<polygon fill="#000000" stroke="#000000" points="166.4839,-72.6416 176.9064,-70.7381 167.5718,-65.7266 166.4839,-72.6416"/>
</g>
<!-- proc~spalartallmarasmodel -->
<g id="proc~~faceaveraging~~CalledByGraph_node7" class="node">
<title>proc~spalartallmarasmodel</title>
<g id="a_proc~~faceaveraging~~CalledByGraph_node7"><a xlink:href=".././proc/spalartallmarasmodel.html" xlink:title="spalartAllmarasModel">
<polygon fill="#d9534f" stroke="#d9534f" points="128,-24 13,-24 13,0 128,0 128,-24"/>
<text text-anchor="middle" x="70.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">spalartAllmarasModel</text>
</a>
</g>
</g>
<!-- proc~spalartallmarasmodel&#45;&gt;proc~bound -->
<g id="proc~~faceaveraging~~CalledByGraph_edge6" class="edge">
<title>proc~spalartallmarasmodel&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M118.2481,-24.1063C126.0007,-26.6702 133.8319,-29.6363 141,-33 154.8451,-39.4969 169.118,-48.7633 180.5702,-56.94"/>
<polygon fill="#000000" stroke="#000000" points="178.5896,-59.8277 188.7242,-62.9164 182.7277,-54.1818 178.5896,-59.8277"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>